Status: Closed

Priority: Low

Assignee: Luiz Motta

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13353

Description

Une erreur est apparue lors de l'exécution du code python :

Traceback (most recent call last):

  File "/Users/botcarpiste/.qgis/python/plugins/imgshowhide/logic/imgshowhidewidget.py", line 139, in +addLayer

    if lyrCatalog.init(lyr):

  File "/Users/botcarpiste/.qgis/python/plugins/imgshowhide/logic/lyrcatalogimage.py", line 113, in init

    if self.+setLayerCatalog(lyr) == False:

  File "/Users/botcarpiste/.qgis/python/plugins/imgshowhide/logic/lyrcatalogimage.py", line 88, in +setLayerCatalog

    lstIdPath = self.+getLstIdFieldPath(field_attr0, field_attr1)

  File "/Users/botcarpiste/.qgis/python/plugins/imgshowhide/logic/lyrcatalogimage.py", line 48, in +getLstIdFieldPath

    if fieldMap[id].typeName() == 'String':

[[KeyError]]: 7

Version de Python :

2.6.1 (r261:67515, Jun 24 2010, 21:47:49) 

[GCC 4.2.1 (Apple Inc. build 5646)]

Version de QGIS :

1.6.0-Copiapo Copiapo, exported

Chemin vers Python : ['/Applications/QGIS.app/Contents/MacOS/../Resources/python', '/Users/botcarpiste/.qgis/python',

'/Users/botcarpiste/.qgis/python/plugins', '/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins',

'/Library/Frameworks/SQLite3.framework/Versions/3/Python', '/Library/Python/2.6/site-packages/numpy-override',

'/Library/Frameworks/GDAL.framework/Versions/1.7/Python/site-packages',

'/Library/Python/2.6/site-packages/rpy2-2.1.9_20101129-py2.6-macosx-10.6-universal.egg',

'/Library/Python/2.6/site-packages/pyparsing-1.5.5-py2.6.egg',

'/Library/Python/2.6/site-packages/matplotlib-0.91.1-py2.6-macosx-10.6-universal.egg',

'/Library/Python/2.6/site-packages/OWSLib-0.3.1-py2.6.egg', '/Library/Frameworks/cairo.framework/Versions/1/Python',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python26.zip',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-darwin',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/lib-scriptpackages',

'/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-tk',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-old',

'/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload', '/Library/Python/2.6/site-packages',

'/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC',

'/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/wx-2.8-mac-unicode',
'/Users/botcarpiste/.qgis/python/plugins/cadtools/tools', '/Users/botcarpiste/.qgis/python/plugins/imgshowhide/logic',

'/Users/botcarpiste/.qgis/python/plugins/imgshowhide/gui', '/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools',

'/Users/botcarpiste/.qgis/python/plugins/cataloginpequicklookorder/logic',

'/Users/botcarpiste/.qgis/python/plugins/cataloginpequicklookorder/gui', '/Users/botcarpiste/.qgis/python/plugins/ziplayers/logic',

'/Users/botcarpiste/.qgis/python/plugins/ziplayers/gui']

History

#1 - 2010-12-05 04:05 AM - Borys Jurgiel

Show/Hide Image is an external plugin, while this trac is suitable for internal stuff only. For external plugins please use https://trac.faunalia.it/qgis_plugins

I'm assigning this ticket to the Author and closing it.

#2 - 2010-12-05 04:06 AM - Borys Jurgiel

- Resolution set to invalid

- Status changed from Open to Closed
